Package chatapp

# Class Main

java.lang.Object
javafx.application.Application
chatapp.Main

    public class Main
    extends javafx.application.Application

## Nested Class Summary

## Nested classes/interfaces inherited from class javafx.application.Application

`javafx.application.Application.Parameters`

## Field Summary

### Fields inherited from class javafx.application.Application

`STYLESHEET_CASPIAN, STYLESHEET_MODENA`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Main()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `main​(java.lang.String[] args)` |
`void` | `start​(javafx.stage.Stage primaryStage)` | Permet de lancer la fenetre principale de l'application
`void` | `stop()` | Handler associe a la fermeture de l'application

### Methods inherited from class javafx.application.Application

`getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Main

public Main()

## Method Details

### start

public void start​(javafx.stage.Stage primaryStage) throws java.lang.Exception
Permet de lancer la fenetre principale de l'application

Specified by:
  `start` in class `javafx.application.Application`
Parameters:
  `primaryStage` - notre fenetre principale
Throws:
  `java.lang.Exception`

### stop

public void stop() throws java.lang.Exception

Handler associe a la fermeture de l'application

Overrides:
  `stop` in class `javafx.application.Application`
Throws:
  `java.lang.Exception`

### main

public static void main​(java.lang.String[] args)